Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/BinPacking2D.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/BinPacking2D.cs	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/BinPacking2D.cs	(revision 14128)
@@ -66,5 +66,5 @@
 
       //Find ExtremePoints beginning from sourcepointY
-      var sourcePointY = new PackingPosition(0, position.X, position.Y + newItem.Height);
+      var sourcePointY = new PackingPosition(0, position.X, position.Y + newHeight);
       if (sourcePointY.X < BinMeasures.Width && sourcePointY.Y < BinMeasures.Height) {
         //Traversing down the x-axis  
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/Decoders/BL/BottomLeftPackingSequenceDecoder.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/Decoders/BL/BottomLeftPackingSequenceDecoder.cs	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/Decoders/BL/BottomLeftPackingSequenceDecoder.cs	(revision 14128)
@@ -25,7 +25,7 @@
 using HeuristicLab.Core;
 using HeuristicLab.Common;
-using HeuristicLab.Encodings.PackingEncoding.PackingSequence;
 using HeuristicLab.Problems.BinPacking;
 using HeuristicLab.Encodings.PackingEncoding;
+using HeuristicLab.Encodings.PermutationEncoding;
 
 namespace HeuristicLab.Problems.BinPacking2D {
@@ -45,5 +45,5 @@
 
     public override PackingPlan<PackingPosition, PackingShape, PackingItem> CreatePackingPlanFromEncoding(IItem encodedSolution, PackingShape binMeasures, ItemList<PackingItem> itemMeasures) {
-      var solution = encodedSolution as PackingSequenceEncoding;
+      var solution = encodedSolution as Permutation;
       if (solution == null) throw new InvalidOperationException("Encoding is not of type PackingSequence");
       Solution result = new Solution(binMeasures);
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/Decoders/EP/ExtremePointMultiComponentVectorDecoder2D.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/Decoders/EP/ExtremePointMultiComponentVectorDecoder2D.cs	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/Decoders/EP/ExtremePointMultiComponentVectorDecoder2D.cs	(revision 14128)
@@ -24,5 +24,4 @@
 using HeuristicLab.Core;
 using HeuristicLab.Common;
-using HeuristicLab.Encodings.PackingEncoding.MultiComponentVector;
 using HeuristicLab.Problems.BinPacking;
 using HeuristicLab.Encodings.PackingEncoding;
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/Decoders/EP/ExtremePointPackingSequenceDecoder2D.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/Decoders/EP/ExtremePointPackingSequenceDecoder2D.cs	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/Decoders/EP/ExtremePointPackingSequenceDecoder2D.cs	(revision 14128)
@@ -25,7 +25,7 @@
 using HeuristicLab.Core;
 using HeuristicLab.Common;
-using HeuristicLab.Encodings.PackingEncoding.PackingSequence;
 using HeuristicLab.Problems.BinPacking;
 using HeuristicLab.Encodings.PackingEncoding;
+using HeuristicLab.Encodings.PermutationEncoding;
 
 namespace HeuristicLab.Problems.BinPacking2D {
@@ -45,6 +45,6 @@
 
     public override PackingPlan<PackingPosition, PackingShape, PackingItem> CreatePackingPlanFromEncoding(IItem encodedSolution, PackingShape binMeasures, ItemList<PackingItem> itemMeasures) {
-      var solution = encodedSolution as PackingSequenceEncoding;
-      if (solution == null) throw new InvalidOperationException("Encoding is not of type PackingSequence");
+      var solution = encodedSolution as Permutation;
+      if (solution == null) throw new InvalidOperationException("Encoding is not of type Permutation");
       Solution result = new Solution(binMeasures, true, false);
       result.Pack(solution, itemMeasures);
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/HeuristicLab.Problems.BinPacking2D-3.3.csproj
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/HeuristicLab.Problems.BinPacking2D-3.3.csproj	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/HeuristicLab.Problems.BinPacking2D-3.3.csproj	(revision 14128)
@@ -163,10 +163,7 @@
   <ItemGroup>
     <Compile Include="BinPacking2D.cs" />
-    <Compile Include="Decoders\BL\BottomLeftGroupingVectorDecoder.cs" />
-    <Compile Include="Decoders\BL\BottomLeftMultiComponentVectorDecoder.cs" />
-    <Compile Include="Decoders\BL\BottomLeftPackingSequenceDecoder.cs" />
-    <Compile Include="Decoders\EP\ExtremePointGroupingVectorDecoder2D.cs" />
-    <Compile Include="Decoders\EP\ExtremePointMultiComponentVectorDecoder2D.cs" />
-    <Compile Include="Decoders\EP\ExtremePointPackingSequenceDecoder2D.cs" />
+    <Compile Include="Decoders\EP\ExtremePointPackingSequenceDecoder2D.cs">
+      <SubType>Code</SubType>
+    </Compile>
     <Compile Include="Instances\BPPData.cs" />
     <Compile Include="Instances\RandomDataDescriptor.cs" />
@@ -176,13 +173,10 @@
     <Compile Include="Interfaces\I2DOperator.cs" />
     <Compile Include="Interfaces\I2DPSDecoder.cs" />
-    <Compile Include="MoveEvaluators\PackingMoveEvaluator2DGV.cs" />
-    <Compile Include="MoveEvaluators\PackingMoveEvaluator2DMCV.cs" />
-    <Compile Include="MoveEvaluators\PackingMoveEvaluator2DPS.cs" />
     <Compile Include="PackingItem.cs" />
     <Compile Include="PackingPosition.cs" />
     <Compile Include="PackingRatioEvaluator.cs" />
+    <Compile Include="PackingSequenceProblem.cs" />
     <Compile Include="PackingShape.cs" />
     <Compile Include="Plugin.cs" />
-    <Compile Include="Problem.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
     <Compile Include="Solution.cs" />
@@ -198,4 +192,8 @@
       <Name>HeuristicLab.Problems.BinPacking-3.3</Name>
     </ProjectReference>
+  </ItemGroup>
+  <ItemGroup>
+    <Folder Include="Decoders\BL\" />
+    <Folder Include="MoveEvaluators\" />
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/MoveEvaluators/PackingMoveEvaluator2DGV.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/MoveEvaluators/PackingMoveEvaluator2DGV.cs	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/MoveEvaluators/PackingMoveEvaluator2DGV.cs	(revision 14128)
@@ -29,12 +29,13 @@
   [Item("GroupingVectorMoveEvaluator2D", "Class for evaluating packing moves for 2dimensional problems.")]
   [StorableClass]
-  public class PackingMoveEvaluator2DGV : PackingMoveEvaluator<PackingPosition, PackingShape, PackingItem>, ISingleObjectiveMoveEvaluator, IGroupingVectorMoveOperator, I2DOperator {
+  public class PackingMoveEvaluator2DGV<T> : PackingMoveEvaluator<PackingPosition, PackingShape, PackingItem, T>, ISingleObjectiveMoveEvaluator, IGroupingVectorMoveOperator, I2DOperator
+  where T : class , IItem {
     [StorableConstructor]
     protected PackingMoveEvaluator2DGV(bool deserializing) : base(deserializing) { }
-    protected PackingMoveEvaluator2DGV(PackingMoveEvaluator2DGV original, Cloner cloner)
+    protected PackingMoveEvaluator2DGV(PackingMoveEvaluator2DGV<T> original, Cloner cloner)
       : base(original, cloner) {
     }
     public override IDeepCloneable Clone(Cloner cloner) {
-      return new PackingMoveEvaluator2DGV(this, cloner);
+      return new PackingMoveEvaluator2DGV<T>(this, cloner);
     }
     public PackingMoveEvaluator2DGV()
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/MoveEvaluators/PackingMoveEvaluator2DMCV.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/MoveEvaluators/PackingMoveEvaluator2DMCV.cs	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/MoveEvaluators/PackingMoveEvaluator2DMCV.cs	(revision 14128)
@@ -29,12 +29,13 @@
   [Item("MultiComponentVectorMoveEvaluator2D", "Class for evaluating packing moves for 2dimensional problems.")]
   [StorableClass]
-  public class PackingMoveEvaluator2DMCV : PackingMoveEvaluator<PackingPosition, PackingShape, PackingItem>, ISingleObjectiveMoveEvaluator, IMultiComponentVectorMoveOperator, I2DOperator {
+  public class PackingMoveEvaluator2DMCV<T> : PackingMoveEvaluator<PackingPosition, PackingShape, PackingItem, T>, ISingleObjectiveMoveEvaluator, IMultiComponentVectorMoveOperator, I2DOperator 
+  where T : class, IItem {
     [StorableConstructor]
     protected PackingMoveEvaluator2DMCV(bool deserializing) : base(deserializing) { }
-    protected PackingMoveEvaluator2DMCV(PackingMoveEvaluator2DMCV original, Cloner cloner)
+    protected PackingMoveEvaluator2DMCV(PackingMoveEvaluator2DMCV<T> original, Cloner cloner)
       : base(original, cloner) {
     }
     public override IDeepCloneable Clone(Cloner cloner) {
-      return new PackingMoveEvaluator2DMCV(this, cloner);
+      return new PackingMoveEvaluator2DMCV<T>(this, cloner);
     }
     public PackingMoveEvaluator2DMCV()
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/MoveEvaluators/PackingMoveEvaluator2DPS.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/MoveEvaluators/PackingMoveEvaluator2DPS.cs	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/MoveEvaluators/PackingMoveEvaluator2DPS.cs	(revision 14128)
@@ -29,12 +29,13 @@
   [Item("PackingSequenceMoveEvaluator2D", "Class for evaluating packing moves for 2dimensional problems.")]
   [StorableClass]
-  public class PackingMoveEvaluator2DPS : PackingMoveEvaluator<PackingPosition, PackingShape, PackingItem>, ISingleObjectiveMoveEvaluator, IPackingSequenceMoveOperator, I2DOperator {
+  public class PackingMoveEvaluator2DPS<T> : PackingMoveEvaluator<PackingPosition, PackingShape, PackingItem, T>, ISingleObjectiveMoveEvaluator, IPackingSequenceMoveOperator, I2DOperator
+  where T : class, IItem {
     [StorableConstructor]
     protected PackingMoveEvaluator2DPS(bool deserializing) : base(deserializing) { }
-    protected PackingMoveEvaluator2DPS(PackingMoveEvaluator2DPS original, Cloner cloner)
+    protected PackingMoveEvaluator2DPS(PackingMoveEvaluator2DPS<T> original, Cloner cloner)
       : base(original, cloner) {
     }
     public override IDeepCloneable Clone(Cloner cloner) {
-      return new PackingMoveEvaluator2DPS(this, cloner);
+      return new PackingMoveEvaluator2DPS<T>(this, cloner);
     }
     public PackingMoveEvaluator2DPS()
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/PackingSequenceProblem.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/PackingSequenceProblem.cs	(revision 14128)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/PackingSequenceProblem.cs	(revision 14128)
@@ -0,0 +1,79 @@
+﻿#region License Information
+
+/* HeuristicLab
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+
+#endregion
+
+using System;
+using System.CodeDom;
+using System.Linq;
+using System.Text;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Data;
+using HeuristicLab.Encodings.PermutationEncoding;
+using HeuristicLab.Optimization;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Problems.BinPacking;
+using HeuristicLab.Problems.BinPacking2D;
+
+namespace HeuristicLab.Problems.BinPacking2d {
+  [StorableClass]
+  [Creatable(Category = CreatableAttribute.Categories.CombinatorialProblems, Priority = 300)]
+  public class PackingSequenceProblem : PackingSequenceProblem<Permutation, PermutationEncoding> {
+
+    // persistence
+    [StorableConstructor]
+    protected PackingSequenceProblem(bool deserializing) : base(deserializing) { }
+    [StorableHook(HookType.AfterDeserialization)]
+    private void AfterDeserialization() { }
+
+    public override bool Maximization {
+      get { return true; }
+    }
+
+
+    // cloning
+    protected PackingSequenceProblem(PackingSequenceProblem original, Cloner cloner)
+      : base(original, cloner) {
+    }
+
+    protected PackingSequenceProblem() : base() { }
+
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new PackingSequenceProblem(this, cloner);
+    }
+
+
+    public override double Evaluate(Individual individual, IRandom random) {
+      var permutation = individual.Permutation();
+      var decoder = new ExtremePointPackingSequenceDecoder2D();
+      var packingPlan = decoder.CreatePackingPlanFromEncoding(permutation, Bin, Items);
+      var ratio = PackingRatioEvaluator.CalculatePackingRatio(packingPlan);
+      return ratio.Value;
+    }
+
+    public override void Analyze(Individual[] individuals, double[] qualities, ResultCollection results, IRandom random) {
+      base.Analyze(individuals, qualities, results, random);
+      Analyze(individuals.Select(i => i.Permutation()).ToArray(), qualities, results, random);
+    }
+  }
+}
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/Problem.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/Problem.cs	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/Problem.cs	(revision 14128)
@@ -26,9 +26,6 @@
 using HeuristicLab.PluginInfrastructure;
 using HeuristicLab.Encodings.PackingEncoding.PackingSequence;
-using HeuristicLab.Encodings.PackingEncoding.GroupingVector;
 using HeuristicLab.Problems.Instances;
-using HeuristicLab.Encodings.PackingEncoding.MultiComponentVector;
 using HeuristicLab.Data;
-using System;
 using HeuristicLab.Problems.BinPacking;
 
@@ -37,5 +34,4 @@
   [StorableClass]
   [Creatable(CreatableAttribute.Categories.CombinatorialProblems, Priority = 300)]
-  // TODO: only support 2d BPPData
   public class Problem : Problem<PackingPosition, PackingShape, PackingItem>, IProblemInstanceConsumer<BPPData>, IProblemInstanceExporter<BPPData> {
 
@@ -131,9 +127,9 @@
       if (SolutionCreator is PackingSequenceRandomCreator) {
         PackingSolutionDecoderParameter.ValidValues.UnionWith(ApplicationManager.Manager.GetInstances<I2DPSDecoder>());
-      } else if (SolutionCreator is GroupingVectorRandomCreator) {
+      } /*else if (SolutionCreator is GroupingVectorRandomCreator) {
         PackingSolutionDecoderParameter.ValidValues.UnionWith(ApplicationManager.Manager.GetInstances<I2DGVDecoder>());
       } else if (SolutionCreator is MultiComponentVectorRandomCreator) {
         PackingSolutionDecoderParameter.ValidValues.UnionWith(ApplicationManager.Manager.GetInstances<I2DMCVDecoder>());
-      } else {
+      } */ else {
         string error = "The given problem does not support the selected solution-creator.";
         ErrorHandling.ShowErrorDialog(error, null);
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Decoders/DBL/DeepestBottomLeftPackingSequenceDecoder.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Decoders/DBL/DeepestBottomLeftPackingSequenceDecoder.cs	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Decoders/DBL/DeepestBottomLeftPackingSequenceDecoder.cs	(revision 14128)
@@ -24,7 +24,7 @@
 using HeuristicLab.Core;
 using HeuristicLab.Common;
-using HeuristicLab.Encodings.PackingEncoding.PackingSequence;
 using HeuristicLab.Problems.BinPacking;
 using HeuristicLab.Encodings.PackingEncoding;
+using HeuristicLab.Encodings.PermutationEncoding;
 
 namespace HeuristicLab.Problems.BinPacking3D {
@@ -32,5 +32,5 @@
   [StorableClass]
   public class DeepestBottomLeftPackingSequenceDecoder : PackingSolutionDecoder<PackingPosition, PackingShape, PackingItem>, I3DPSDecoder {
-    public DeepestBottomLeftPackingSequenceDecoder(): base() {}
+    public DeepestBottomLeftPackingSequenceDecoder() : base() { }
     [StorableConstructor]
     protected DeepestBottomLeftPackingSequenceDecoder(bool deserializing) : base(deserializing) { }
@@ -43,6 +43,6 @@
 
     public override PackingPlan<PackingPosition, PackingShape, PackingItem> CreatePackingPlanFromEncoding(IItem encodedSolution, PackingShape binMeasures, ItemList<PackingItem> itemMeasures) {
-      var solution = encodedSolution as PackingSequenceEncoding;
-      if (solution == null) throw new InvalidOperationException("Encoding is not of type PackingSequence");
+      var solution = encodedSolution as Permutation;
+      if (solution == null) throw new InvalidOperationException("Encoding is not of type Permutation");
       Solution result = new Solution(binMeasures);
       result.Pack(solution, itemMeasures);
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Decoders/EP/ExtremePointPackingSequenceDecoder3D.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Decoders/EP/ExtremePointPackingSequenceDecoder3D.cs	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Decoders/EP/ExtremePointPackingSequenceDecoder3D.cs	(revision 14128)
@@ -25,7 +25,7 @@
 using HeuristicLab.Core;
 using HeuristicLab.Common;
-using HeuristicLab.Encodings.PackingEncoding.PackingSequence;
 using HeuristicLab.Problems.BinPacking;
 using HeuristicLab.Encodings.PackingEncoding;
+using HeuristicLab.Encodings.PermutationEncoding;
 
 namespace HeuristicLab.Problems.BinPacking3D {
@@ -45,6 +45,6 @@
 
     public override PackingPlan<PackingPosition, PackingShape, PackingItem> CreatePackingPlanFromEncoding(IItem encodedSolution, PackingShape binMeasures, ItemList<PackingItem> itemMeasures) {
-      var solution = encodedSolution as PackingSequenceEncoding;
-      if (solution == null) throw new InvalidOperationException("Encoding is not of type PackingSequence");
+      var solution = encodedSolution as Permutation;
+      if (solution == null) throw new InvalidOperationException("Encoding is not of type Permutation");
       Solution result = new Solution(binMeasures, true, StackingConstraintsParameter.Value.Value);
       result.Pack(solution, itemMeasures); 
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/HeuristicLab.Problems.BinPacking3D-3.3.csproj
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/HeuristicLab.Problems.BinPacking3D-3.3.csproj	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/HeuristicLab.Problems.BinPacking3D-3.3.csproj	(revision 14128)
@@ -166,9 +166,5 @@
     <Compile Include="DecoderInterfaces\I3DMCVDecoder.cs" />
     <Compile Include="DecoderInterfaces\I3DPSDecoder.cs" />
-    <Compile Include="Decoders\DBL\DeepestBottomLeftGroupingVectorDecoder.cs" />
-    <Compile Include="Decoders\DBL\DeepestBottomLeftMultiComponentVectorDecoder.cs" />
     <Compile Include="Decoders\DBL\DeepestBottomLeftPackingSequenceDecoder.cs" />
-    <Compile Include="Decoders\EP\ExtremePointGroupingVectorDecoder3D.cs" />
-    <Compile Include="Decoders\EP\ExtremePointMultiComponentVectorDecoder3D.cs" />
     <Compile Include="Decoders\EP\ExtremePointPackingSequenceDecoder3D.cs" />
     <Compile Include="I3DOperator.cs" />
@@ -184,5 +180,4 @@
     <Compile Include="PackingShape.cs" />
     <Compile Include="Plugin.cs" />
-    <Compile Include="Problem.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
     <Compile Include="Solution.cs" />
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/MoveEvaluators/PackingMoveEvaluator3DGV.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/MoveEvaluators/PackingMoveEvaluator3DGV.cs	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/MoveEvaluators/PackingMoveEvaluator3DGV.cs	(revision 14128)
@@ -30,12 +30,13 @@
   [Item("GroupingVectorMoveEvaluator3D", "Class for evaluating packing moves for 3dimensional problems.")]
   [StorableClass]
-  public class PackingMoveEvaluator3DGV : PackingMoveEvaluator<PackingPosition, PackingShape, PackingItem>, ISingleObjectiveMoveEvaluator, IGroupingVectorMoveOperator, I3DOperator {
+  public class PackingMoveEvaluator3DGV<M> : PackingMoveEvaluator<PackingPosition, PackingShape, PackingItem, M>, ISingleObjectiveMoveEvaluator, IGroupingVectorMoveOperator, I3DOperator 
+  where M: class, IItem {
     [StorableConstructor]
     protected PackingMoveEvaluator3DGV(bool deserializing) : base(deserializing) { }
-    protected PackingMoveEvaluator3DGV(PackingMoveEvaluator3DGV original, Cloner cloner)
+    protected PackingMoveEvaluator3DGV(PackingMoveEvaluator3DGV<M> original, Cloner cloner)
       : base(original, cloner) {
     }
     public override IDeepCloneable Clone(Cloner cloner) {
-      return new PackingMoveEvaluator3DGV(this, cloner);
+      return new PackingMoveEvaluator3DGV<M>(this, cloner);
     }
     public PackingMoveEvaluator3DGV()
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/MoveEvaluators/PackingMoveEvaluator3DMCV.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/MoveEvaluators/PackingMoveEvaluator3DMCV.cs	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/MoveEvaluators/PackingMoveEvaluator3DMCV.cs	(revision 14128)
@@ -30,12 +30,13 @@
   [Item("MultiComponentVectorMoveEvaluator3D", "Class for evaluating packing moves for 3dimensional problems.")]
   [StorableClass]
-  public class PackingMoveEvaluator3DMCV : PackingMoveEvaluator<PackingPosition, PackingShape, PackingItem>, ISingleObjectiveMoveEvaluator, IMultiComponentVectorMoveOperator, I3DOperator {
+  public class PackingMoveEvaluator3DMCV<M> : PackingMoveEvaluator<PackingPosition, PackingShape, PackingItem, M>, ISingleObjectiveMoveEvaluator, IMultiComponentVectorMoveOperator, I3DOperator
+  where M : class, IItem {
     [StorableConstructor]
     protected PackingMoveEvaluator3DMCV(bool deserializing) : base(deserializing) { }
-    protected PackingMoveEvaluator3DMCV(PackingMoveEvaluator3DMCV original, Cloner cloner)
+    protected PackingMoveEvaluator3DMCV(PackingMoveEvaluator3DMCV<M> original, Cloner cloner)
       : base(original, cloner) {
     }
     public override IDeepCloneable Clone(Cloner cloner) {
-      return new PackingMoveEvaluator3DMCV(this, cloner);
+      return new PackingMoveEvaluator3DMCV<M>(this, cloner);
     }
     public PackingMoveEvaluator3DMCV()
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/MoveEvaluators/PackingMoveEvaluator3DPS.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/MoveEvaluators/PackingMoveEvaluator3DPS.cs	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/MoveEvaluators/PackingMoveEvaluator3DPS.cs	(revision 14128)
@@ -30,12 +30,13 @@
   [Item("PackingSequenceMoveEvaluator3D", "Class for evaluating packing moves for 3dimensional problems.")]
   [StorableClass]
-  public class PackingMoveEvaluator3DPS : PackingMoveEvaluator<PackingPosition, PackingShape, PackingItem>, ISingleObjectiveMoveEvaluator, IPackingSequenceMoveOperator, I3DOperator {
+  public class PackingMoveEvaluator3DPS<M> : PackingMoveEvaluator<PackingPosition, PackingShape, PackingItem, M>, ISingleObjectiveMoveEvaluator, IPackingSequenceMoveOperator, I3DOperator
+  where M : class, IItem {
     [StorableConstructor]
     protected PackingMoveEvaluator3DPS(bool deserializing) : base(deserializing) { }
-    protected PackingMoveEvaluator3DPS(PackingMoveEvaluator3DPS original, Cloner cloner)
+    protected PackingMoveEvaluator3DPS(PackingMoveEvaluator3DPS<M> original, Cloner cloner)
       : base(original, cloner) {
     }
     public override IDeepCloneable Clone(Cloner cloner) {
-      return new PackingMoveEvaluator3DPS(this, cloner);
+      return new PackingMoveEvaluator3DPS<M>(this, cloner);
     }
     public PackingMoveEvaluator3DPS()
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Problem.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Problem.cs	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Problem.cs	(revision 14128)
@@ -26,7 +26,5 @@
 using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Encodings.PackingEncoding.PackingSequence;
-using HeuristicLab.Encodings.PackingEncoding.GroupingVector;
 using HeuristicLab.Problems.Instances;
-using HeuristicLab.Encodings.PackingEncoding.MultiComponentVector;
 using HeuristicLab.PluginInfrastructure;
 using HeuristicLab.Data;
@@ -131,9 +129,9 @@
       if (SolutionCreator is PackingSequenceRandomCreator) {
         PackingSolutionDecoderParameter.ValidValues.UnionWith(ApplicationManager.Manager.GetInstances<I3DPSDecoder>());
-      } else if (SolutionCreator is GroupingVectorRandomCreator) {
+      } /* else if (SolutionCreator is GroupingVectorRandomCreator) {
         PackingSolutionDecoderParameter.ValidValues.UnionWith(ApplicationManager.Manager.GetInstances<I3DGVDecoder>());
       } else if (SolutionCreator is MultiComponentVectorRandomCreator) {
         PackingSolutionDecoderParameter.ValidValues.UnionWith(ApplicationManager.Manager.GetInstances<I3DMCVDecoder>());
-      } else {
+      } */ else {
         string error = "The given problem does not support the selected solution-creator.";
         ErrorHandling.ShowErrorDialog(error, null);
